﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ProjectAircraftCarrier
{
    /// <summary>
    /// Класс - сущность "Авианосец"
    /// </summary>
    public class EntityAircraftCarrier
    {
        /// <summary>
        /// Скорость
        /// </summary>
        public int Speed { get; private set; }
        /// <summary>
        /// Вес
        /// </summary>
        public double Weight { get; private set; }
        /// <summary>
        /// Основной цвет
        /// </summary>
        public Color BodyColor { get; private set; }
        /// <summary>
        /// Дополнительный цвет (для опциональных элементов)
        /// </summary>
        public Color AdditionalColor { get; private set; }
        /// <summary>
        /// Признак (опция) наличия кабины
        /// </summary>
        public bool Cabin { get; private set; }
        /// <summary>
        /// Признак (опция) наличия ввп
        /// </summary>
        public bool Runway { get; private set; }
        /// <summary>
        /// Шаг перемещения авианосца
        /// </summary>
        public double Step => (double)Speed * 100 / Weight;
        /// <summary>
        /// Инициализация полей объекта-класса спортивного авианосца
        /// </summary>
        /// <param name="speed">Скорость</param>
        /// <param name="weight">Вес авианосца</param>
        /// <param name="bodyColor">Основной цвет</param>
        /// <param name="additionalColor">Дополнительный цвет</param>
        /// <param name="cabin">Признак наличия антикрыла</param>
        /// <param name="runway">Признак наличия гоночной полосы</param>

        public void Init(int speed, double weight, Color bodyColor, Color
        additionalColor, bool cabin, bool runway)
        {
            Speed = speed;
            Weight = weight;
            BodyColor = bodyColor;
            AdditionalColor = additionalColor;
            Cabin = cabin;
            Runway = runway;
        }
    }
}
